import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


/**
 * Aim Academy!
 * 
 * Features:
 * - Test your aim accross 4 different gamemodes
 * - Get as high of a score within the time frame
 * - User Friendly GUI with a simplistic design
 * 
 * Credits:
 * - Button class by Jordan Cohen to create buttons
 * - StatBar class by Jordan Cohen to display a visual bar for time
 * - TextDisplayBar class by Jordan Cohen to implement score updating 
 * and text display
 * 
 * Anytime you see WIP means work in progress...
 * 
 * @author William Lam 
 * @version June 22, 2021
 */
public class MainMenu extends World
{
    //Class Variables
    private Button modeButton;
    private Button settingsButton;
    
    private Label title;
    
    private GreenfootImage background;
    private Font lookNice = new Font ("Courier New", false, false, 24);
    
    private GreenfootImage image;
    
    public MainMenu()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1080, 720, 1); 
        background = MainMenu.drawSpace(800, 400, 40);
        
        background.setFont(lookNice);
        setBackground(background);
        //buidling and setting background
        
        //button to control if game starts or not based off of clicks
        modeButton = new Button ("Play!");
        addObject(modeButton, 270, 480);
        
        //brings user to settings/help         
        settingsButton = new Button ("Settings");
        addObject(settingsButton, 810, 480);
        
        //Label or title of the game
        title = new Label ("Aim Academy");
        addObject(title, 505, 360);


    }
    
    public void act(){
        checkMouse();
        

    }
    
    //Check if mouse is clicked and will redirect to where neccesary 
    private void checkMouse(){
        if(Greenfoot.mouseClicked(modeButton)){
            Greenfoot.setWorld(new Instructions());
        }
        if(Greenfoot.mouseClicked(settingsButton)){
            Greenfoot.setWorld(new Settings());
        }
    }
    
    //Drawspace for the fill of the background
    public static GreenfootImage drawSpace (int width, int height, int density){

        GreenfootImage temp = new GreenfootImage (width, height);
        temp.setColor (Color.CYAN);
        temp.fill();
        
        return temp;
    }
    
}




