import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class ModeMenu extends World
{
    private Button gridShotButton;
    private Button strafeShotButton;
    private Button reflexShotButton;
    private Button trackingShotButton;
    
    private GreenfootImage background;
    
    private Text gridshot;
    private Text strafeshot;
    private Text reflexshot;
    private Text trackingshot;
    
    private Button back;
    private Button instructions;
    

    public ModeMenu()
    {    
        // Create a new world with 1080x720 cells with a cell size of 1x1 pixels.
        super(1080, 720, 1); 
        background = ModeMenu.drawSpace(800,400,40);
        
        setBackground(background);
        
        gridshot = new Text ("GridShot \n   ^^^^ ", 40);
        addObject (gridshot, 280, 180);
        
        strafeshot = new Text ("  StrafeShot \n        ^^^^ ", 40);
        addObject (strafeshot, 1020, 180);
        
        reflexshot = new Text ("Six-Shot \n     ^^^^ ", 40);
        addObject (reflexshot, 280, 500);
        
        trackingshot = new Text ("TrackingShot \n        ^^^^ ", 40);
        addObject (trackingshot, 1020, 500);
        
        gridShotButton = new Button ("(Click Me To Play)");
        addObject(gridShotButton, 180 , 325);
        
        strafeShotButton = new Button ("(Click Me To Play)");
        addObject(strafeShotButton, 900, 325);
        
        trackingShotButton = new Button ("(Click Me To Play)");
        addObject(trackingShotButton, 900, 625);
        
        reflexShotButton = new Button ("(Click Me To Play)");
        addObject(reflexShotButton, 180, 625);
        
        back = new Button ("Take me Back!");
        addObject(back, 80, 680);
        
        instructions = new Button("Instructions");
        addObject(instructions, 1000, 680);
    }
    
    public void act(){
        checkMouse();       
    }
    
    private void checkMouse(){
        if (Greenfoot.mouseClicked(gridShotButton)){
            Greenfoot.setWorld(new GridShot());
        }
        if (Greenfoot.mouseClicked(back)){
            Greenfoot.setWorld(new MainMenu());
        }
        if (Greenfoot.mouseClicked(strafeShotButton)){
            Greenfoot.setWorld(new StrafeShot());
        }
        if (Greenfoot.mouseClicked(reflexShotButton)){
            Greenfoot.setWorld(new SixShot());
        }
        if (Greenfoot.mouseClicked(trackingShotButton)){
            Greenfoot.setWorld(new TrackingShot());
        }
        if (Greenfoot.mouseClicked(instructions)){
            Greenfoot.setWorld(new Instructions());
        }
    }
    
    public static GreenfootImage drawSpace (int width, int height, int density){

        GreenfootImage temp = new GreenfootImage (width, height);
        temp.setColor (Color.CYAN);
        temp.fill();
        
        return temp;
    }
}
