import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class TrackingShot extends World
{
    //Class Constants
    public final Color streakaddColor = new Color (34, 177, 76);
    public final Color streakminusColor = new Color (255, 0, 0);
    public final Color borderColor = new Color (0, 0, 0);
    
    public final Color timeStillColor = new Color (34, 177, 76);
    public final Color timeLeftColor = new Color (255, 0, 0);
    
    
    
    //Class Variables
    private int time;
    private int timeRemaining;
    private int accuracy;
    private int streak;

    private GreenfootImage background;
    
    private Score score;
   
    private StatBar streakBonus;
    private StatBar timerBar;
    
    private Button quit;
    
    private TrackingShotBall ball1;
    private TrackingShotBall ball2;
    private TrackingShotBall ball3;
    private TrackingShotBall ball4;
    private TrackingShotBall ball5;
    
    
    public TrackingShot()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1080, 720, 1); 
        
        background = GridShot.drawSpace(800, 400, 40);
        setBackground(background);
        
        time = 55*60;
        timeRemaining = time;
        
        //streakBonus = new StatBar (400, currentScore, null, 1080, 20, 0, 
        //streakaddColor, streakminusColor, false, borderColor, 2);
        
        timerBar = new StatBar (time, timeRemaining, null, 1080, 20, 0, 
        timeStillColor, timeLeftColor, false, borderColor, 2);
        
        score = new Score(); 
        addObject(score, 260, 30);
        
        
        //addObject (streakBonus, 540, 710);
        addObject (timerBar, 540, 100);
        addObject(new Timer(), 540, 30);
        
        quit = new Button ("Quit");
        addObject(quit, 80, 680);
        
        ball1 = new TrackingShotBall();
        ball2 = new TrackingShotBall();
        ball3 = new TrackingShotBall();
        ball4 = new TrackingShotBall();
        ball5 = new TrackingShotBall();
        spawnBall();
        
        Score.score = 0;

    }
    

    
    public void act(){
        checkMouse();
        
        if (Greenfoot.getRandomNumber(100) == 1){
            spawnBall();
        }
        
        if (time != 0){
            timeRemaining = timeRemaining - 1;
            timerBar.update(timeRemaining);

        }
        
        if (timeRemaining == 0){
            Greenfoot.setWorld(new Summary());
        }

    }
    
    private void checkMouse(){
        if (Greenfoot.mouseClicked(quit)){
            Greenfoot.setWorld(new ModeMenu());
            
        }
    }
    public Score getScoreCounter() {
        return score; // this is the field that you created so if you change your classes to capital don't change this
    }
    
    private void spawnBall(){
        int randX = Greenfoot.getRandomNumber(900);
        int randX1 = Greenfoot.getRandomNumber(900);
        int randX2 = Greenfoot.getRandomNumber(900);
        
        int randY = Greenfoot.getRandomNumber(440);
        int randY1 = Greenfoot.getRandomNumber(440);
        int randY2 = Greenfoot.getRandomNumber(440);
        
        
        addObject(ball1, randX + 50, randY1 + 180);
        addObject(ball2, randX + 50, randY + 180);
        addObject(ball3, randX + 50, randY2 + 180);
        addObject(ball4, randX1 + 50, randY + 180);
        addObject(ball5, randX2 + 50, randY2 + 180);
        
    }

    

    
    public static GreenfootImage drawSpace (int width, int height, int density){

        GreenfootImage temp = new GreenfootImage (width, height);
        temp.setColor (Color.CYAN);
        temp.fill();
        
        return temp;
    }
}
